Debian Bug report logs - #493519
Regression: 490217 fix (and upstream fix too) break TCP DNS queries

version graph

Package: python-dns; Maintainer for python-dns is Scott Kitterman <scott@kitterman.com>; Source for python-dns is src:python-dns.

Reported by: Scott Kitterman <scott@kitterman.com>

Date: Sat, 2 Aug 2008 22:33:04 UTC

Severity: important

Found in version python-dns/2.3.1-6

Fixed in version python-dns/2.3.3-1

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#493519; Package python-dns. Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Regression: 490217 fix (and upstream fix too) break TCP DNS queries
Date: Sat, 02 Aug 2008 18:32:44 -0400
Package: python-dns
Version: 2.3.1-6
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Both my patch (2.3.1-6 in Lenny) and upstream's (2.3.2-1) in Sid for CVE-2008-1447
managed to break DNS queries over TCP.  This is fixed in a new upstream release
(2.3.3).  

TCP queries are essential for python-spf (one of the packaged rdepends) due to 
some domains (such as aol.com) publishing SPF records that require TCP fallback.

- -- System Information:
Debian Release: lenny/sid
  APT prefers hardy-updates
  APT policy: (500, 'hardy-updates'), (500, 'hardy-security'), (500, 'hardy')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-19-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-dns depends on:
ii  python                    2.5.2-0ubuntu1 An interactive high-level object-o
ii  python-central            0.6.7ubuntu0.1 register and build utility for Pyt

python-dns recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIlOCMHajaM93NaGoRAob6AJ9EEw+WuaETszc1vkFpS+QxCw80bgCgjpWP
iJb8USexCFAM9k8xv2StgFo=
=5EEq
-----END PGP SIGNATURE-----




Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Scott Kitterman <scott@kitterman.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 493519-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 493519-close@bugs.debian.org
Subject: Bug#493519: fixed in python-dns 2.3.3-1
Date: Mon, 04 Aug 2008 11:47:08 +0000
Source: python-dns
Source-Version: 2.3.3-1

We believe that the bug you reported is fixed in the latest version of
python-dns, which is due to be installed in the Debian FTP archive:

python-dns_2.3.3-1.diff.gz
  to pool/main/p/python-dns/python-dns_2.3.3-1.diff.gz
python-dns_2.3.3-1.dsc
  to pool/main/p/python-dns/python-dns_2.3.3-1.dsc
python-dns_2.3.3-1_all.deb
  to pool/main/p/python-dns/python-dns_2.3.3-1_all.deb
python-dns_2.3.3.orig.tar.gz
  to pool/main/p/python-dns/python-dns_2.3.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493519@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated python-dns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Aug 2008 17:09:19 -0400
Source: python-dns
Binary: python-dns
Architecture: source all
Version: 2.3.3-1
Distribution: unstable
Urgency: low
Maintainer: scott@kitterman.com
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 python-dns - pydns - DNS client module for Python
Closes: 493519
Changes: 
 python-dns (2.3.3-1) unstable; urgency=low
 .
   * New upstream release (Closes: #493519)
     - Correct regressions from CVE-2008-1447 fix (TCP queries and timeouts)
Checksums-Sha1: 
 d1b96a48c7e1f277c3f23a02d18dfc0d723b8bc0 1355 python-dns_2.3.3-1.dsc
 f34f125143b0db145e9d4c876b653db69a04f24a 23897 python-dns_2.3.3.orig.tar.gz
 1aa4a3ad5a5d7bd32ee0dd7f55ef826cf0e3f31d 6473 python-dns_2.3.3-1.diff.gz
 c148997b4a580f34faec3f2eb42da98587fd2b80 29046 python-dns_2.3.3-1_all.deb
Checksums-Sha256: 
 85506e9e4bdaecfbf7106905b8268f28c9f236189cace927f3e8c95a48a79341 1355 python-dns_2.3.3-1.dsc
 349b310ecddd4f9b67da8fd078e35b35b4d9151bc6008890b49d4c3a24aa6b37 23897 python-dns_2.3.3.orig.tar.gz
 5f61fbd0c3704af60af4e62a51c979cc409641595d6858a41f4292ff8de05a32 6473 python-dns_2.3.3-1.diff.gz
 f67065e017d45384be3e9f858c6ab9c261cd10145c71eb4e770d8751f54b9dba 29046 python-dns_2.3.3-1_all.deb
Files: 
 1bfbd49d97c06c709b92954de8f92b7b 1355 python optional python-dns_2.3.3-1.dsc
 40001fb178de5920e7d67c000a782d6a 23897 python optional python-dns_2.3.3.orig.tar.gz
 6d6aeca7081e237ce8207ec9604b2e74 6473 python optional python-dns_2.3.3-1.diff.gz
 d39ba86696009a9dde2c1c21197964d7 29046 python optional python-dns_2.3.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIlutdHajaM93NaGoRAvFpAJ0W8EQwe0MwPEOaKlQwrxVgxO8NvwCfcLbk
lqSQ3O/V5gssOgyAN82lKw4=
=nOG0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Sep 2008 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:15:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.